Bug 103476 - RPM causes a relocation error
Summary: RPM causes a relocation error
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 9
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-31 19:13 UTC by Sami Maisniemi
Modified: 2007-04-18 16:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-13 13:04:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of 'readelf --symbols' (104.84 KB, text/plain)
2003-09-01 18:54 UTC, Sami Maisniemi
no flags Details

Description Sami Maisniemi 2003-08-31 19:13:30 UTC
Description of problem:
Use of any RPM related command causes a relocation error. As a consequence, any
updates cannot be applied.

Version-Release number of selected component (if applicable):
4.2

How reproducible:
Occurs everytime.

Steps to Reproduce:
1. Execute any RPM related command, even just 'rpm' (without options) is enough.
    
Actual results:
rpm: relocation error: /usr/lib/librpmdb-4.2.so: undefined symbol: tion

Expected results:
Requested operation is executed succesfully.

Additional info:
Even reinstallation all rpm related packages from Red Hat Linux 9.0 installation
CDs has been carried out, but without any results.

Comment 1 Jeff Johnson 2003-09-01 16:45:36 UTC
Can you append output from
    readelf --symbols /usr/lib/librpmdb-4.2.so
Thanks.

Comment 2 Sami Maisniemi 2003-09-01 18:54:07 UTC
Created attachment 94121 [details]
Output of 'readelf --symbols'

Here you are, I hope this helps.

Comment 3 Jeff Johnson 2004-12-13 13:04:14 UTC
The readelf output indicates the librpmdb-4.2.so is
corrupted (which explains the relocation error).

How the file got corrupted is unknown.

Reopen if the problem still exists.


Note You need to log in before you can comment on or make changes to this bug.